<?php

	lt_include( PLOG_CLASS_PATH."class/plugin/pluginbase.class.php" );
	
	class PluginFeedReader extends PluginBase 
	{
		function PluginFeedReader( $source = "" )
		{
			$this->PluginBase( $source );
			
			$this->id = "feedreader";
			$this->desc = "RSS/Atom feed reader integrated into LifeType's admin interface";
			$this->author = "The LifeType Project";
			$this->locales = Array( "en_UK" , "zh_TW" , "zh_CN", "es_ES" );
            $this->version = "20070226";

            if( $source == "admin" ) {
                    // register our actions
                $this->registerAdminAction( "feedReader", "FeedReaderAction" );
                $this->registerAdminAction( "readFeed", "ReadFeedAction" );
			
                    // register a new menu entry
                $this->addMenuEntry( "/menu/Manage/manageLinks",      // menu path
                                     "feedReader",   // menu id
                                     "?op=feedReader",
                                     "feedReader" );
            }
		}
	}
?>